/***********************************************************
 * $Id: NativeRandomGenerator.java 187 2010-02-20 19:04:42Z wglas $
 * 
 * optional of the clazzes.org project
 * 
 * http://www.clazzes.org
 *
 * Created: 29.01.2010, wglas
 *
 ***********************************************************/

package org.clazzes.optional.sec;

import java.security.SecureRandom;

/**
 * A random generator, which uses the JRE implementation of a secure random generator.
 * 
 * This class is thread-safe, so it may be used as a singleton.
 */
public class NativeRandomGenerator implements RandomGenerator {

    private SecureRandom secureRandom;
    
    public NativeRandomGenerator() {
        
        this.secureRandom = new SecureRandom();
    }
    
    /* (non-Javadoc)
     * @see org.clazzes.optional.sec.RandomGenerator#nextBytes(byte[])
     */
    public void nextBytes(byte[] bytes) {
        this.secureRandom.nextBytes(bytes);
    }
    
}
