/***********************************************************
 * $Id: SeededRandomGenerator.java 172 2010-01-29 16:44:32Z wglas $
 * 
 * optional of the clazzes.org project
 * 
 * http://www.clazzes.org
 *
 * Created: 29.01.2010, wglas
 *
 ***********************************************************/

package org.clazzes.optional.sec;

/**
 * Random generator, which needs seeding fromwithin the application. 
 * 
 * Copied from bouncycastle.
 */
public interface SeededRandomGenerator extends RandomGenerator {
    
    /**
     * Add more seed material to the generator.
     *
     * @param seed a byte array to be mixed into the generator's state.
     */
    void addSeedMaterial(byte[] seed);

    /**
     * Add more seed material to the generator.
     *
     * @param seed a long value to be mixed into the generator's state.
     */
    void addSeedMaterial(long seed);

}
